'Copyright (c) 2005-2009 Donald Milne
'All rights reserved.
'
'This file is part of AOSkills3.
'
'AOSkills3 is free software: you can redistribute it and/or modify
'it under the terms of the GNU General Public License as published by
'the Free Software Foundation, either version 3 of the License, or
'(at your option) any later version.
'
'AOSkills3 is distributed in the hope that it will be useful,
'but WITHOUT ANY WARRANTY; without even the implied warranty of
'MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
'GNU General Public License for more details.
'
'You should have received a copy of the GNU General Public License
'along with AOSkills3. If not, see <http://www.gnu.org/licenses/>.

Imports System

Public Class impArray : Inherits System.Collections.CollectionBase

    Public Function AddNewImp(ByVal wnd As System.Windows.Forms.Form, ByVal id As Integer) As ihControl1
        Dim aImp As New ihControl1

        ' Add to the collection, and then add to the specified tab page
        Me.List.Add(aImp)
        wnd.Controls.Add(aImp)
        ' Set default/initial properties for the object.
        aImp.Top = 16 + id * 32
        aImp.Left = 88
        aImp.Width = 742
        aImp.Height = 24
        aImp.ItemIdx = id
        aImp.Tag = Me.Count - 1
        aImp.Window = wnd
        Return aImp
    End Function

    Public Sub Remove()
        ' Check to be sure there is an object to remove.
        If Me.Count > 0 Then
            ' Remove the last object added to the array from the tab page
            ' control's collection. Note the use of the default property in
            ' accessing the array.
            Me(Me.Count - 1).Window.Controls.Remove(Me(Me.Count - 1))
            Me.List.RemoveAt(Me.Count - 1)
        End If
    End Sub

    Default Public ReadOnly Property Item(ByVal Index As Integer) As ihControl1
        Get
            Return CType(Me.List.Item(Index), ihControl1)
        End Get
    End Property

End Class
