'Copyright (c) 2003-2005 Donald Milne
'All rights reserved.
'
'This file is part of AOSkills2.
'
'AOSkills2 is free software: you can redistribute it and/or modify
'it under the terms of the GNU General Public License as published by
'the Free Software Foundation, either version 3 of the License, or
'(at your option) any later version.
'
'AOSkills3 is distributed in the hope that it will be useful,
'but WITHOUT ANY WARRANTY; without even the implied warranty of
'MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
'GNU General Public License for more details.
'
'You should have received a copy of the GNU General Public License
'along with AOSkills2.  If not, see <http://www.gnu.org/licenses/>.

Imports System

Public Class nudArray : Inherits System.Collections.CollectionBase

    Public Function AddNewNUD(ByVal tp As System.Windows.Forms.TabPage, ByRef nm As String, ByVal id As Integer) As aoskillControl
        Dim aNUD As New aoskillControl

        ' Add to the collection, and then add to the specified tab page
        Me.List.Add(aNUD)
        tp.Controls.Add(aNUD)
        aNUD.ControlTabPage = tp
        ' Set default/initial properties for the object.
        aNUD.Top = 4
        aNUD.Left = 4
        aNUD.Width = 648
        aNUD.Height = 30
        aNUD.Tag = Me.Count - 1
        aNUD.ItemName = nm
        aNUD.ItemID = id
        Return aNUD
    End Function

    Public Sub Remove()
        ' Check to be sure there is an object to remove.
        If Me.Count > 0 Then
            Me(Me.Count - 1).ControlTabPage.Controls.Remove(Me(Me.Count - 1))
            Me.List.RemoveAt(Me.Count - 1)
        End If
    End Sub

    Default Public ReadOnly Property Item(ByVal Index As Integer) As aoskillControl
        Get
            Return CType(Me.List.Item(Index), aoskillControl)
        End Get
    End Property

End Class
