'Copyright (c) 2005-2010 Donald Milne
'All rights reserved.
'
'This file is part of AOSkills3.
'
'AOSkills3 is free software: you can redistribute it and/or modify
'it under the terms of the GNU General Public License as published by
'the Free Software Foundation, either version 3 of the License, or
'(at your option) any later version.
'
'AOSkills3 is distributed in the hope that it will be useful,
'but WITHOUT ANY WARRANTY; without even the implied warranty of
'MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
'GNU General Public License for more details.
'
'You should have received a copy of the GNU General Public License
'along with AOSkills3. If not, see <http://www.gnu.org/licenses/>.

Imports System

Public Class chkArrayLE : Inherits System.Collections.CollectionBase

    Public Function AddNewCHK(ByVal tp As System.Windows.Forms.TabPage, ByRef nm As String, ByVal id As Integer) As aoCheckBoxLE
        Dim aCHK As New aoCheckBoxLE

        ' Add to the collection, and then add to the specified tab page
        Me.List.Add(aCHK)
        tp.Controls.Add(aCHK)
        aCHK.ControlTabPage = tp
        ' Set default/initial properties for the object.
        aCHK.Top = 28
        aCHK.Left = 316
        aCHK.Width = 336
        aCHK.Height = 24
        aCHK.Tag = Me.Count - 1
        aCHK.ItemName = nm
        aCHK.ItemID = id
        Return aCHK
    End Function

    Public Sub Remove()
        ' Check to be sure there is an object to remove.
        If Me.Count > 0 Then
            ' Remove the last object added to the array from the tab page
            ' control's collection. Note the use of the default property in
            ' accessing the array.
            Me(Me.Count - 1).ControlTabPage.Controls.Remove(Me(Me.Count - 1))
            Me.List.RemoveAt(Me.Count - 1)
        End If
    End Sub

    Default Public ReadOnly Property Item(ByVal Index As Integer) As aoCheckBoxLE
        Get
            Return CType(Me.List.Item(Index), aoCheckBoxLE)
        End Get
    End Property

End Class
